:root {
  --fc-small-font-size: .85em;
  --fc-page-bg-color: rgb(235, 223, 223);
  --fc-neutral-bg-color: rgba(208, 208, 208, 0.3);
  --fc-neutral-text-color: #a5a4a4;
  --fc-border-color: none;

  --fc-button-text-color: rgb(59, 56, 56);
  --fc-button-bg-color: none;
  --fc-button-border-color: none;
  --fc-button-hover-bg-color: none;

  --fc-button-hover-border-color: none;
  --fc-button-active-bg-color: none;
  --fc-button-active-border-color: none;
  --fc-button-active-border: none;

  --fc-event-bg-color: none;
  --fc-event-border-color: none;
  --fc-event-text-color: #7367F0;
  --fc-event-selected-overlay-color: none;

  --fc-more-link-bg-color: #d0d0d0;
  --fc-more-link-text-color: inherit;

  --fc-event-resizer-thickness: 8px;
  --fc-event-resizer-dot-total-width: 8px;
  --fc-event-resizer-dot-border-width: 1px;

  --fc-non-business-color: rgba(220, 0, 0, 0.3);
  --fc-bg-event-color: rgb(143, 223, 130);
  --fc-bg-event-opacity: 0.2;
  --fc-highlight-color: none;
  --fc-today-bg-color: rgba(115, 103, 240, .1);
  ;

  --fc-now-indicator-color: red;
}

.schedule {
  background: #fff;
  position: relative;
  width: 100%;


  tbody,
  td {
    border-width: 1px !important;
    border-color: rgb(233, 230, 230) !important;
    border-top-color: rgb(233, 230, 230) !important;
    border-bottom-color: rgb(233, 230, 230) !important;
    border-left-color: rgb(233, 230, 230) !important;
    border-right-color: rgb(233, 230, 230) !important;

  }

  tr {
    border-color: rgb(233, 230, 230) !important;
    border-width: 1px;
  }

  .fc-scrollgrid-section.fc-scrollgrid-section-body.fc-scrollgrid-section-liquid {
    border-width: 1px;
  }

  tr.fc-scrollgrid-section.fc-scrollgrid-section-header {
    border-width: 0px;
  }

  .fc-theme-standard td {
    border: 1px solid rgb(233, 230, 230);
  }

  th.fc-col-header-cell {
    height: 40px;
  }

  .fc .fc-daygrid-day-number {
    font-weight: 600;
  }

  .fc-toolbar h2 {
    margin: 0;
    color: rgb(0, 0, 0);
    font-weight: 500;
    font-size: 40px;
  }

  a.fc-daygrid-event.fc-daygrid-dot-event.fc-event.fc-event-draggable.fc-event-resizable.fc-event-start.fc-event-end.fc-event-past {
    display: flex;
    align-items: flex-start;
    flex-direction: column-reverse;
    max-height: 100%;
  }

  .fc-event-time {
    color: rgb(124, 122, 123);
    text-transform: lowercase;
    font-size: small;
    text-align: left;
    margin-left: 0;
    left: 0;
    font-weight: 400;
    text-indent: 0px;
    text-align: left;
    text-overflow: ellipsis;
    min-height: 10%;
    width: 100%;
    overflow: hidden;
  }

  .fc-event-title {
    color: #594bf3;
    text-transform: none;
    white-space: normal;
    overflow: hidden;
    font-weight: 500;
    text-overflow: ellipsis;
    text-align: justify;
    max-height: 80%;
    min-height: 10px;
    width: 100%;
    line-height: 1.2;
    text-indent: 0px;
    text-align: left;
    font-weight: 400 !important;
    font-size: small;
  }

  .fc .fc-button-group {
    gap: 4px;
    color: grey;
    border: none;
  }

  .fc .fc-button-primary {
    border: none;
  }

  .fc .fc-toolbar {
    justify-content: flex-start;
    align-items: center;
    height: 50px;
  }

  .fc-title::before {
    font-family: "Font Awesome 5 Free";
    font-weight: normal;
    font-style: normal;
    display: inline-block;
    padding: 0 8px;
    text-decoration: inherit;
    content: "\f017";
  }

  .fc-icon-calendar:before {
    content: url(../images/icons/small-schedule-icon.png);
    font-size: 9px;
  }

  .fc-toolbar-chunk {
    display: flex;
    flex-direction: row;
    align-items: baseline;
  }

  .fc-toolbar-chunk:nth-child(3) {
    justify-content: flex-end;
  }

  .fc-toolbar-chunk:nth-child(1) {
    width: 190px;
  }

  .fc-daygrid-day-frame.fc-scrollgrid-sync-inner:hover {
    background-color: #edecf6;
   
  }

  .fc-daygrid-dot-event:hover,
  .fc-daygrid-dot-event.fc-event-mirror {
    background-color: rgba(0, 0, 0, 0) !important;
  }

  .fc-theme-standard .fc-scrollgrid {

    border-top: 0px solid #696666 !important;
    border-bottom: 0px solid #696666 !important;
    border-left: 0px solid #696666 !important;
    border-right: 0px solid #696666 !important;

  }

  .fc .fc-scrollgrid {
    border-collapse: collapse;
  }

  button.fc-prev-button.fc-button.fc-button-primary,
  button.fc-next-button.fc-button.fc-button-primary {
    padding: 0px;
  }

  .fc-col-header-cell {
    border-left: none !important;
    border-right: none !important;
  }



  .fc-icon-calendar {
    pointer-events: none !important;
  }



  .cal-para {
    font-weight: 450;
    font-size: small;
    text-align: left;
    position: absolute;
    padding-left: 0px;
    top: 65px;
    left: 0px;
    max-width: 330px;
  }

  .fc .fc-col-header-cell-cushion {
    color: black;
    font-size: 16px;
    font-weight: 500;
  }

  .fc .fc-highlight {
    border: none;
  }

  .fc-day-today {
    background-color: #d6d4ef;
  }

  .fc-daygrid-day-number {
    color: inherit;
  }

  .fc-button {
    box-shadow: none !important;
  }

  .calendar-box {
    align-items: center;
    position: relative;
    margin: auto;
  }

  .fc-scrollgrid-sync-inner {
    text-align: left;
    text-indent: 6px;
    font-weight: 500;
    color: rgb(48, 48, 48) !important;
    text-transform: uppercase;
  }


  .fc-daygrid-day-top {
    flex-direction: row !important;
  }

  .top-cal {
    display: flex;
    flex-direction: row;
    gap: 30px;
  }




  .cal-select-month {
    height: 40px;
    display: flex;
    justify-content: center;
    border: 0px solid rgb(188, 185, 185);
    border-radius: 10px;
    z-index: 1;
    width: 110px;
    .css-1s2u09g-control{
      border-radius:10px ;
      height: 40px;
      border-color: rgb(211, 208, 208);
    }
    .css-1okebmr-indicatorSeparator{
     width: 0px;
    }
    .css-qc6sy-singleValue{
      width: 50px;
    }
    select {
      border: none !important;
    }

    select:focus {
      outline: none;
    }
  }

  select#cal-month {
    width: 100px;
    padding: 5px;
  }

  select#cal-month:focus {
    outline: none;
  }

  .fc-daygrid-day:hover {
    background-color: #d2e6fc;
  }
}



.calendar-outer {
  // padding-right: 8px;
  // margin: 20px 15px;
}

@media only screen and (max-width:1001px) {
  body {
    .calendar-outer {
      padding-right: 8px;
      margin: 20px 15px;
    }
  }
}

@media only screen and (min-width: 769px) {
  .schedule-mobile-top {
    display: none;
  }

  .schedule {
    .calendar-outer {
      margin: 1px;
    }
  }

}

@media only screen and (max-width: 768px) {
  .schedule {
    padding-top: 40px;
  }

}




@media only screen and (max-width: 325px) {
  .form-select-xs {
    width: 90%;
  }

  .date-time-xxsmall {
    width: 285px;
  }
}

.schedule-head-box {
  position: absolute;
  height: 50px;
  left: 305px;
  right: 0px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.fc .fc-toolbar.fc-header-toolbar {
  margin-bottom: 90px;
}

.fc-toolbar-title {
  padding-top: 25px;
}

.small-cal {
  position: absolute;
  top: 70px;
  align-items: center;
  display: flex;
  justify-content: space-between;
  flex-direction: row;
  gap: 30px;

  .right {
    display: flex;
    align-items: center;
  }
}

@media only screen and (max-width: 768px) {
  body {
    .schedule {
      // min-width: 450px;
      width: 100%;

      .schedule-head-box {
        display: none;
      }

      .fc-toolbar h2 {
        font-size: 30px;
      }

      th.fc-col-header-cell {
        height: 30px;
      }

      .fc .fc-col-header-cell-cushion {
        font-size: 11px;
      }

      .fc .fc-daygrid-day-number {
        font-size: small;
      }

     





      .fc-event-title {
        font-size: 7px;
        font-weight: 300;
      }

      .fc-event-time {
        font-size: 7px;
        font-weight: 400;
      }

      .fc-daygrid-day-events {
        height: 2rem;
        margin-left: 2px;

      }


      .btn {
        line-height: 1.5;
      }

      .calendar-outer {
        padding-right: 0px;
        margin: 10px;
      }

      .cal-select-month {}

      select#cal-month {
        width: 90px;
        padding: 1px;
      }
    }
  }
}

@media only screen and (max-width: 330px) {
  .schedule {
    .fc .fc-toolbar.fc-header-toolbar {
      margin-bottom: 130px;
    }

    .fc.fc-media-screen.fc-direction-ltr.fc-theme-standard {
      height: 583px !important;
    }

    table.fc-scrollgrid-sync-table {
      height: 200px !important;
    }

    .small-cal {
      top: 56px;
      gap: 50px;
      left: 0px;

      .right {
        gap: 50px;
      }
    }
    .fc-event-title{
      font-size: 9px;
    }
    .fc-event-time {
      font-size: 9px;
    }
    .cal-para {
      top: 110px;
      max-width: 100%;
      font-size: small;

    }
  }
}

@media only screen and (max-width: 534px)and (min-width:330px) {
  .schedule {
    .fc .fc-toolbar.fc-header-toolbar {
      margin-bottom: 115px;
    }

    .fc.fc-media-screen.fc-direction-ltr.fc-theme-standard {
      height: 566px !important;
    }

    table.fc-scrollgrid-sync-table {
      height: 200px !important;
    }

    .small-cal {
      top: 56px;
      gap: 50px;
      left: 0px;

      .right {
        gap: 50px;
      }
    }
    .fc-event-title{
      font-size: 9px;
    }
    .fc-event-time {
      font-size: 9px;
    }
    .cal-para {
      top: 110px;
      max-width: 100%;
      font-size: small;

    }
  }

}



@media only screen and (max-width: 768px) and (min-width:534px) {
  body {
    .schedule {
      width: 100%;

      .calendar-outer {
        padding-top: 12px;
      }

      .fc-toolbar-chunk:nth-child(1) {
        width: 160px;
      }

      .fc.fc-media-screen.fc-direction-ltr.fc-theme-standard {
        height: 608px !important;
      }

      table.fc-scrollgrid-sync-table {
        height: 300px !important;
      }

      .fc-daygrid-day-events {
        height: 2.9rem;
        margin-left: 3px;
      }
      .fc-event-title{
        font-size: 9px;
      }
      .fc-event-time {
        font-size: 9px;
      }

      .schedule-head-box {
        display: none;
      }

      .fc .fc-toolbar.fc-header-toolbar {
        margin-bottom: 70px;
      }

      .fc .fc-col-header-cell-cushion {
        font-size: 13px;
      }

      .fc .fc-daygrid-day-number {
        font-size: 13px;
      }

      .small-cal {
        gap: 30px;
        height: 50px;
        top: 0;
        right: 0;
        left: 290px;

        .right {
          gap: 20px;
        }
      }

      .cal-para {
        top: 65px;
        max-width: 330px;
        font-size: small;
      }
    }
  }
}

@media only screen and (min-width: 900px) {
  body {
    .schedule {
      .small-cal {
        display: none;
      }
    }
  }
}

@media only screen and (max-width: 912px)and (min-width:769px) {
  body {
    .schedule {
      width: 100%;

      .fc-toolbar h2 {
        font-size: 32px;
      }

      .fc-toolbar-chunk:nth-child(1) {
        width: 153px;
      }

      .fc.fc-media-screen.fc-direction-ltr.fc-theme-standard {
        height: 653px !important;
      }

      table.fc-scrollgrid-sync-table {
        height: 330px !important;
      }

      .fc .fc-toolbar.fc-header-toolbar {
        margin-bottom: 68px;
      }

      th.fc-col-header-cell {
        height: 30px;
      }

      .fc-event-title {
        font-size: 11px;
      }
      
      .fc-event-time {
        font-size: 11px;
      }

      .fc-daygrid-day-events {
        height: 3.4rem;
        margin-left: 2px;
      }

      .fc .fc-col-header-cell-cushion {
        font-size: 13px;
      }

      .fc .fc-daygrid-day-number {
        font-size: 13px;
      }

      .small-cal {
        display: none;
      }

      .schedule-head-box {
        gap: 20px;
        left: 270px;
      }

      .calendar-outer {
        margin: 1px;
      }

      .cal-para {
        font-size: small;
      }

      .top-cal {
        gap: 5px;
      }

      .fc-daygrid-day-events {
        margin-left: 2px;
      }

      

      .cal-select-month {
        height: 40px;
      }

      select#cal-month {
        width: 85px;
        padding: 2px;
      }


    }
  }
}

@media only screen and (max-width: 1000px)and (min-width:913px) {
  body {
    .schedule {
      width: 100%;

      .fc-toolbar h2 {
        font-size: 37px;
      }

      .top-cal {
        gap: 5px;
      }

      select#cal-month {
        width: 90px;
        padding: 4px;
      }

      .schedule-head-box {
        gap: 20px;
      }

      .fc.fc-media-screen.fc-direction-ltr.fc-theme-standard {
        height: 725px !important;
      }

      table.fc-scrollgrid-sync-table {
        height: 550px !important;

      }

      .fc .fc-toolbar.fc-header-toolbar {
        margin-bottom: 78px;
      }

      .fc-daygrid-day-events {
        margin-left: 2px;
        height: 3.7rem;
      }

      .cal-para {
        font-size: small;
      }

      .fc .fc-col-header-cell-cushion {
        font-size: 14px;
      }

      .fc .fc-daygrid-day-number {
        font-size: 14px;
      }

      .fc-event-title {
        font-size: 12px;
      }

      .fc-event-time {
        font-size: 12px;
      }

    }
  }
}

@media only screen and (max-width: 1064px)and (min-width:1000px) {
  body {
    .schedule {

      .top-cal {
        gap: 10px;
      }

      .fc-toolbar-chunk:nth-child(1) {
        width: 189px;
      }

      .fc .fc-toolbar.fc-header-toolbar {
        margin-bottom: 75px;
      }

      .schedule-head-box {
        left: 325px;
      }

      .fc-toolbar h2 {
        font-size: 37px;
      }

      .fc-daygrid-day-events {
        margin-left: 2px;
      }

      .cal-para {
        font-size: small;
      }

      .fc.fc-media-screen.fc-direction-ltr.fc-theme-standard {
        height: 718px !important;
      }

      .fc-daygrid-day-events {
        margin-left: 2px;
        height: 3.7rem;
      }

      table.fc-scrollgrid-sync-table {
        height: 550px !important;

      }

      select#cal-month {
        width: 90px;
        padding: 4px;
      }

      .fc .fc-col-header-cell-cushion {
        font-size: 14px;
      }

      .fc .fc-daygrid-day-number {
        font-size: 14px;
      }

      .fc-event-time {
        font-size: 13px;
      }
    }
  }
}

@media only screen and (max-width: 1444px)and (min-width:1064px) {
  body {
    .schedule {
      .top-cal {
        gap: 10px;
      }

      .fc-toolbar h2 {
        font-size: 37px;
      }

      .fc-toolbar-chunk:nth-child(1) {
        width: 189px;
      }

      .fc .fc-toolbar.fc-header-toolbar {
        margin-bottom: 75px;
      }

      .fc .fc-col-header-cell-cushion {
        font-size: 14px;
      }

      .fc .fc-daygrid-day-number {
        font-size: 14px;
      }

      .schedule-head-box {
        left: 328px;
      }

      .fc.fc-media-screen.fc-direction-ltr.fc-theme-standard {
        height: 708px !important;
      }

      .fc-daygrid-day-events {
        margin-left: 17px;
        height: 3.7em;
      }

      table.fc-scrollgrid-sync-table {
        height: 320px !important;

      }
    }
  }
}

@media only screen and (min-width:1444px)and(max-width:1900px) {
  body {
    .schedule {

      .fc-toolbar h2 {
        font-size: 37px;
      }

      .fc .fc-toolbar.fc-header-toolbar {
        margin-bottom: 80px;
      }

      .fc.fc-media-screen.fc-direction-ltr.fc-theme-standard {
        height: 748px !important;
      }

      .fc-daygrid-day-events {
        margin-left: 20px;
        height: 3.7rem;

      }

      table.fc-scrollgrid-sync-table {
        height: 315px !important;

      }

      .cal-para {
        top: 75px;
        left: 0px;
        max-width: 410px;

      }

      .schedule-head-box {
        height: 60px;
        left: 348px;
        right: 0px;
      }



      .top-cal {
        gap: 50px;
      }


      .cal-btn {
        height: 40px;
        width: 40px;
      }

      .fc .fc-toolbar {
        height: 60px;
      }

      .fc-toolbar h2 {
        font-size: 37px !important;

      }
      .fc-event-time{
        font-size: 14px;
      }
      .fc-event-title{
        font-size: 14px;
      }
      .fc-toolbar-chunk:nth-child(1) {
        width: 200px;

      }
    }

  }
}

@media only screen and (min-width:1900px) {
  body {
    .schedule {
      .fc .fc-toolbar.fc-header-toolbar {
        margin-bottom: 95px;
      }


      .cal-para {
        top: 80px;
        left: 0px;
        max-width: 500px;
        font-size: medium;
      }
      .fc-event-time{
        font-size: 16px;
      }
      .fc-event-title{
        font-size: 16px;
      }
      
      .schedule-head-box {
        left: 380px;
      }

      .fc.fc-media-screen.fc-direction-ltr.fc-theme-standard {
        height: 995px !important;
      }

      .fc-daygrid-day-events {
        margin-left: 20px;
        height: 6rem;
      }

      table.fc-scrollgrid-sync-table {
        height: 670px !important;

      }

      .schedule-head-box {
        height: 60px;
        left: 340px;
        right: 0px;
      }

      .cal-select-month {
        height: 40px;
      }

      .top-cal {
        gap: 50px;
      }

      .fc .fc-toolbar {
        height: 60px;
      }

      .fc-toolbar h2 {
        font-size: 37px !important;
      }

      .fc-toolbar-chunk:nth-child(1) {
        width: 205px;
      }

      .fc .fc-col-header-cell-cushion {
        font-size: 18px;
      }

      .fc .fc-daygrid-day-number {
        font-size: 18px;
      }

    }
  }
}








.schedule-model {
  .modal-content {
    padding: 20px;
  }

  .modal-body {
    padding: 0rem;
  }

  select#form-sc-model-select {
    border: none;
    outline: none;
  }

  select#form-sc-model-select:focus {
    outline: none;
    box-shadow: none;
  }

  .modal-footer {
    border-top: 0px solid black !important;
  }

  .modal-header {
    border-bottom: 0px solid black !important;
  }

  .Save-btn-form {
    width: 150px;
  }

  .input-floating-label {
    margin-bottom: 30px;
  }

  .form-select-space {
    width: auto;
    padding-left: 1px;
  }


  .form-con {
    display: block;
    width: 100%;
    padding: 4px 5px;
    font-size: small;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid rgba(0, 0, 0, 0.1);
    appearance: none;
    height: 48px;
    border-radius: 9px;
    margin-bottom: 30px;
  }

  input.form-con:focus {
    outline: none;
  }

  .css-1s2u09g-control {
    max-height: 48px;
    border-color: rgba(0, 0, 0, 0.1);
    color: rgba(27, 28, 30, 0.5) !important;
    font-weight: 100;
  }




  .css-1mpwy8n-ValueContainer {
    padding: 2px 0px;
  }

  .pl-1 {
    padding-left: 23px;
  }

  .zoom-icon {
    padding-left: 22px;
  }

  .tpr-0 {
    padding-right: 0px;
  }

  .date-p {
    padding: 10px 10px 0px 0px;
  }

  .time-p {
    padding: 10px;
  }

  .tpl-0 {
    padding-left: 0px;
  }

  .mb-10 {
    margin-bottom: 30px;
  }

  .icon-p {
    padding: 10px 0px 10px 15px
  }
}

// .fc .fc-button:not(:disabled) {
//     cursor: pointer;
//     position: fixed;
// }
@media only screen and (max-width:576px){
  .schedule-model{
    .time-p{
      padding-left: 0px;
    }
    .tpr-0{
      padding-left: 0px;
      padding-right: 10px;
    }
  }
}
@media only screen and (max-width:442px){
 .mp-2{
  padding-left:30px !important;
 }
 .mp-1{
  padding-left: 20px !important;
 }
}